This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 859760 - [abrt] system-config-printer-libs-1.3.9-1.fc17: jobviewer.py:949:update_job:IOError
[abrt] system-config-printer-libs-1.3.9-1.fc17: jobviewer.py:949:update_job:I...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:35c4209c09266a14764bc011f1d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-23 16:29 EDT by totophe56
Modified: 2013-05-25 08:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.3.13-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-25 08:08:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (211 bytes, text/plain)
2012-09-23 16:29 EDT, totophe56
no flags Details

  None (edit)
Description totophe56 2012-09-23 16:29:47 EDT
Description of problem:
tentative installation imprimante samba

Version-Release number of selected component:
system-config-printer-libs-1.3.9-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        /usr/bin/python /usr/share/system-config-printer/scp-dbus-service.py
kernel:         3.5.3-1.fc17.i686

backtrace:
:jobviewer.py:949:update_job:IOError
:
:Traceback (most recent call last):
:  File "/usr/share/system-config-printer/jobviewer.py", line 1847, in job_event
:    self.update_job (jobid, jobdata)
:  File "/usr/share/system-config-printer/jobviewer.py", line 949, in update_job
:    keyring_attrs)
:IOError
:
:Local variables in innermost frame:
:share: u'Epson-Stylus-SX110'
:rest: u'//stationf17/Epson-Stylus-SX110'
:attrs: {'job-hold-until': u'auth-info-required', 'attributes-charset': u'utf-8', 'job-state': 4, 'attributes-natural-language': u'fr-fr'}
:jstate: 4
:auth_info: None
:group: ''
:jattrs: ['job-state', 'job-hold-until']
:self: <JobViewer object at 0x871666c (jobviewer+JobViewer at 0x845de20)>
:connection: <cups.Connection object for /var/run/cups/cups.sock at 0x8837230>
:device_uri: u'smb://stationf17/Epson-Stylus-SX110'
:scheme: u'smb'
:type: 1
:try_keyring: True
:job: 21
:user: ''
:auth_info_required: [u'username', u'password']
:password: ''
:data: {'job-name': u'Test Page', 'job-printer-uri': u'ipp://stationvmxfce/printers/Epson-Stylus-SX110', 'device-uri': u'smb://stationf17/Epson-Stylus-SX110', 'job-state': 4, 'attributes-charset': u'utf-8', 'auth-info-required': [u'username', u'password'], 'job-k-octets': 1, 'attributes-natural-language': u'fr-fr', 'job-printer-name': 'Epson-Stylus-SX110', 'time-at-creation': 1348431858, 'job-hold-until': u'auth-info-required', 'job-originating-user-name': u'chris'}
:c: <authconn.Connection instance at 0x872d6ac>
:job_requires_auth: True
:pattrs: ['auth-info-required', 'device-uri']
:uri: <smburi.SMBURI instance at 0x8836aec>
:server: u'stationf17'
:s: 4
:r: ['job-preserved']
:keyring_attrs: {'domain': '', 'protocol': 'smb', 'server': 'stationf17'}
Comment 1 totophe56 2012-09-23 16:29:52 EDT
Created attachment 616243 [details]
File: core_backtrace
Comment 2 Tim Waugh 2012-09-24 09:45:27 EDT
Fixed upstream in commit 091db2f.
Comment 4 Fedora Update System 2013-03-27 13:29:57 EDT
system-config-printer-1.3.13-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/system-config-printer-1.3.13-1.fc18
Comment 5 Fedora Update System 2013-03-28 21:20:15 EDT
Package system-config-printer-1.3.13-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.13-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4511/system-config-printer-1.3.13-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-05-25 08:08:38 EDT
system-config-printer-1.3.13-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.